#include "Difficulty.h"

u8 chosenDifficulty = 0;
u8 allowedDestroyedStructures = 0;
u8 allowedKilledTurtles = 0;
u8 allowedDestroyedShips = 0;

void setupDifficulty()
{
    if (chosenDifficulty == HARD_DIFFICULTY)
    {
        allowedDestroyedStructures = 0;
        allowedKilledTurtles = 0;
        allowedDestroyedShips = 0;
    }
    else if (chosenDifficulty == NORMAL_DIFFICULTY)
    {
        allowedDestroyedStructures = 4;
        allowedKilledTurtles = 3;
        allowedDestroyedShips = 0;
    }
    else
    {
        allowedDestroyedStructures = 14;
        allowedKilledTurtles = 6;

        // On easy sacrifice and mined harbour are slightly easier.
        if (currentLevel == LEVEL_SACRIFICE)
        {
            allowedDestroyedShips = 1;
        }
        else if (currentLevel == LEVEL_MINED_HARBOUR)
        {
            allowedDestroyedShips = 2;
        }
        else
        {
            allowedDestroyedShips = 0;
        }
    }
}