#ifndef HELP_H
#define HELP_H

#include <cpctelera.h>
#include "MapManager.h"
#include "Text.h"
#include "sprites/InteractableSprites.h"
#include "sprites/ShipSprites.h"
#include "sprites/UnitSprites.h"

// Displays help for the specified level.
void displayLevelHelp(u8 level);

extern const u8 CLEAR_MINES_TEXT[20];
extern const u8 TURTLES_SAFE_TEXT[23];
extern const u8 SHIPS_SAFE_TEXT[20];
extern const u8 STRUCTURES_SAFE_TEXT[25];
extern const u8 RESCUE_CARGO_TEXT[17];
extern const u8 OBJECTIVE_TEXT[11];
extern const u8 TIME_LIMIT_TEXT[23];

extern const u8 LEVEL_WILDLIFE_TEXT[19];
extern const u8 LEVEL_GATED_TRADELANE_TEXT[17];
extern const u8 LEVEL_RESCUE_TEXT[13];
extern const u8 LEVEL_TRADELANE_TEXT[11];
extern const u8 LEVEL_HISTORICAL_STRUCTURES_TEXT[23];
extern const u8 LEVEL_SACRIFICE_TEXT[10];
extern const u8 LEVEL_MINED_HARBOUR_TEXT[14];
extern const u8 LEVEL_ESCORT_TEXT[7];
extern const u8 LEVEL_CAGE_TEXT[9];

extern u8* const levelNames[LEVEL_COUNT];

#endif