#ifndef MINE_H
#define MINE_H

#include "GameState.h"
#include "Map.h"
#include "MapManager.h"
#include "Movement.h"
#include "Objectives.h"
#include "SoundManager.h"
#include "Unit.h"

// Runs the logic for all the mines on the map.
void logicMines();

// Processes a cell as a mine to see if it is allowed to move to that cell.
u8 processCellMine(u8 x, u8 y);

// Updates the explosion flags on the cell so that we can see an explosion radius from a mine on detonation.
void updateCellExplosionFlags(u8 x, u8 y, u8 radius, u8 expanding);

#endif