#include "SoundManager.h"

void playSound(u8 sound)
{
    if (sound == SOUND_EXPLOSION)
    {
        // Play the explosion sound effect.
        cpct_akp_SFXPlay(SOUND_EXPLOSION, 9, 49, 0, 0, AY_CHANNEL_B);
        cpct_akp_musicPlay();

        deathDelay = TRUE;

        // Reset the timer.
        timerCount = 0;

        // Without this SDCC will optimise the loop into an infinite loop instead of exiting the loop via the interrupt.
        drawCell(0, 0, 0);

        while (deathDelay)
        {
            // Wait for the timer to reset so we the player can see death graphic.
        }

        cpct_akp_stop();
    }
}