#include "GameState.h"

u8 displayCursor = FALSE;
u8 levelEnded = LEVEL_READY;
u8 currentLevel = 0;
u8 mineCount = 0;
u8 selectedUnitSlot = 255;
u8 mapRedraw = TRUE;
u8 gameTurnState = PLAYER_TURN;
u8 activeUnit = 255;
u16 gameMoney = 500;
u16 remainingTurns = 255;
u8 escortShipIndex = 255;
u8 unitRedraw = TRUE;

void resetGameSessionState()
{
    displayCursor = FALSE;
    levelEnded = LEVEL_READY;
    mineCount = 255;
    selectedUnitSlot = 255;
    mapRedraw = TRUE;
    gameTurnState = PLAYER_TURN;
    activeUnit = 255;
    escortShipIndex = 255;
    unitRedraw = TRUE;

    // Money is broken.
    // No time to balnace anything so just make it accessible.
    if (chosenDifficulty == EASY_DIFFICULTY)
    {
        gameMoney = 24000;
    }
    else if (chosenDifficulty == NORMAL_DIFFICULTY)
    {
        gameMoney = 22000;
    }
    else
    {
        gameMoney = 20700;
    }    
}