#include "Keys.h"

Keys gameControls;

void initKeys()
{
    gameControls.controlFlags = 0;
}

void readGameControls()
{
    if (cpct_isKeyPressed(gameControls.up))
    {
        gameControls.controlFlags |= CONTROL_UP_FLAG;
    }
    else
    {
        gameControls.controlFlags &= ~CONTROL_UP_FLAG;
    }

    if (cpct_isKeyPressed(gameControls.down))
    {
        gameControls.controlFlags |= CONTROL_DOWN_FLAG;
    }
    else
    {
        gameControls.controlFlags &= ~CONTROL_DOWN_FLAG;
    }

    if (cpct_isKeyPressed(gameControls.left))
    {
        gameControls.controlFlags |= CONTROL_LEFT_FLAG;
    }
    else
    {
        gameControls.controlFlags &= ~CONTROL_LEFT_FLAG;
    }

    if (cpct_isKeyPressed(gameControls.right))
    {
        gameControls.controlFlags |= CONTROL_RIGHT_FLAG;
    }
    else
    {
        gameControls.controlFlags &= ~CONTROL_RIGHT_FLAG;
    }

    if (cpct_isKeyPressed(gameControls.use))
    {
        gameControls.controlFlags |= CONTROL_USE_FLAG;
    }
    else
    {
        gameControls.controlFlags &= ~CONTROL_USE_FLAG;
    }

    if (cpct_isKeyPressed(gameControls.exit))
    {
        gameControls.controlFlags |= CONTROL_EXIT_FLAG;
    }
    else
    {
        gameControls.controlFlags &= ~CONTROL_EXIT_FLAG;
    }

    if (cpct_isKeyPressed(gameControls.target))
    {
        gameControls.controlFlags |= CONTROL_TARGET_FLAG;
    }
    else
    {
        gameControls.controlFlags &= ~CONTROL_TARGET_FLAG;
    }

    if (cpct_isKeyPressed(gameControls.defuse))
    {
        gameControls.controlFlags |= CONTROL_DEFUSE_FLAG;
    }
    else
    {
        gameControls.controlFlags &= ~CONTROL_DEFUSE_FLAG;
    }

    if (cpct_isKeyPressed(gameControls.endTurn))
    {
        gameControls.controlFlags2 |= CONTROL_END_TURN_FLAG;
    }
    else
    {
        gameControls.controlFlags2 &= ~CONTROL_END_TURN_FLAG;
    }

    if (cpct_isKeyPressed(Key_1))
    {
        gameControls.unitNumberFlags |= CONTROL_UNIT_NUMBER_FLAG_1;
    }
    else
    {
        gameControls.unitNumberFlags &= ~CONTROL_UNIT_NUMBER_FLAG_1;
    }

    if (cpct_isKeyPressed(Key_2))
    {
        gameControls.unitNumberFlags |= CONTROL_UNIT_NUMBER_FLAG_2;
    }
    else
    {
        gameControls.unitNumberFlags &= ~CONTROL_UNIT_NUMBER_FLAG_2;
    }

    if (cpct_isKeyPressed(Key_3))
    {
        gameControls.unitNumberFlags |= CONTROL_UNIT_NUMBER_FLAG_3;
    }
    else
    {
        gameControls.unitNumberFlags &= ~CONTROL_UNIT_NUMBER_FLAG_3;
    }

    if (cpct_isKeyPressed(Key_4))
    {
        gameControls.unitNumberFlags |= CONTROL_UNIT_NUMBER_FLAG_4;
    }
    else
    {
        gameControls.unitNumberFlags &= ~CONTROL_UNIT_NUMBER_FLAG_4;
    }

    if (cpct_isKeyPressed(Key_5))
    {
        gameControls.unitNumberFlags |= CONTROL_UNIT_NUMBER_FLAG_5;
    }
    else
    {
        gameControls.unitNumberFlags &= ~CONTROL_UNIT_NUMBER_FLAG_5;
    }

    if (cpct_isKeyPressed(Key_6))
    {
        gameControls.unitNumberFlags |= CONTROL_UNIT_NUMBER_FLAG_6;
    }
    else
    {
        gameControls.unitNumberFlags &= ~CONTROL_UNIT_NUMBER_FLAG_6;
    }

    if (cpct_isKeyPressed(Key_7))
    {
        gameControls.unitNumberFlags |= CONTROL_UNIT_NUMBER_FLAG_7;
    }
    else
    {
        gameControls.unitNumberFlags &= ~CONTROL_UNIT_NUMBER_FLAG_7;
    }

    if (cpct_isKeyPressed(Key_8))
    {
        gameControls.unitNumberFlags |= CONTROL_UNIT_NUMBER_FLAG_8;
    }
    else
    {
        gameControls.unitNumberFlags &= ~CONTROL_UNIT_NUMBER_FLAG_8;
    }
}

void setDefaultKeys()
{
    gameControls.left = Key_CursorLeft;
    gameControls.right = Key_CursorRight;
    gameControls.up = Key_CursorUp;
    gameControls.down = Key_CursorDown;
    gameControls.use = Key_Space;
    gameControls.exit = Key_Esc;
    gameControls.target = Key_T;
    gameControls.defuse = Key_X;
    gameControls.endTurn = Key_V;
}