#ifndef MAPSCREEN_H
#define MAPSCREEN_H

#include <cpctelera.h>
#include "GameState.h"
#include "GameTypes.h"
#include "Help.h"
#include "Keys.h"
#include "MapManager.h"
#include "sprites/MapSprites.h"

// Draws the state (ready, done, locked) indicators.
void drawLevelStateIndicators(u8* memory, u8 levelIndex);

// Displays the map screen and chooses the next level.
void runMapScreen();

#endif