#include "Movement.h"

u8 determinedDirections[DIRECTION_COUNT];

void determineRandomDirections()
{
    u8 i = 0;

    // One of 4 directions (1 to 4).
    u8 randomDirection = (cpct_rand() % 4) + 1;

    // The first possible direction is the randomly chosen direction.
    determinedDirections[0] = randomDirection;

    // Determine possible directions so if one is blocked the mine can move a different way.
    for (i = 1; i < DIRECTION_COUNT; ++i)
    {
        if (determinedDirections[i - 1] != DIRECTION_DOWN)
        {
            determinedDirections[i] = determinedDirections[i - 1] + 1;
        }
        else
        {
            determinedDirections[i] = DIRECTION_LEFT;
        }
    }
}