#include "Palette.h"

u8 greenMode = FALSE;

const u8 colourPalette_[16] = {0x4, 0xa, 0x13, 0xc, 0xb, 0x14, 0x15, 0x3, 0x6, 0x1e, 0xe, 0x7, 0x12, 0x17, 0x0, 0x16};

void updatePalette()
{
    cpct_setPalette(colourPalette_, 16);

    // The adjustments for green mode are very minor, the game is pretty playble without them.
    if (greenMode)
    {
        // Green
        // Set water colour to black.
        cpct_setPALColour(0, 0x14);
        cpct_setBorder(0x14);

        // Set diver to red.
        cpct_setPALColour(6, 0xC);
    }
    else
    {
        // Colour
        // Set water colour to dark blue.
        cpct_setPALColour(0, 0x04);
        cpct_setBorder(0x04);

        // Set diver to blue.
        cpct_setPALColour(6, 0x15);
    }
}