#include "Scrolling.h"

u8 xScroll = 0;
u8 yScroll = 0;
Position moveIndicator;

void scrollScreenCursor(u8 direction)
{
    moveScreen(moveIndicator.x, moveIndicator.y);

    mapRedraw = TRUE;
}

void moveScreen(u8 x, u8 y)
{
    xScroll = x;
    yScroll = y;

    if (xScroll <= 8)
    {
        xScroll = 0;
    }
    else if (xScroll <= 48)
    {
        // Adjust scrolling for left screen edge.
        xScroll -= 8;
    }
    else if (xScroll > 48)
    {
        // Limit x scroll to its maximum values.
        // The difference between 48 and 40 is the -8 above.
        xScroll = 40;
    }

    if (yScroll <= 3)
    {
        // Limit y scroll to its minimum values.
        yScroll = 0;
    }
    else if (yScroll <= 28)
    {
        // Adjust scrolling for top screen edge.
        yScroll -= 4;
    }
    else if (yScroll > 28)
    {
        // Limit y scroll to its maximum values.
        // The difference between 28 and 24 is the -3 above.
        yScroll = 25;
    }

    // Enable unit redraw after moving the screen.
    unitRedraw = TRUE;
    
    // Redraw the map after the screen has moved.
    mapRedraw = TRUE;
}