#ifndef SCROLLING_H
#define SCROLLING_H

#include "GameState.h"
#include "GameTypes.h"
#include "Object.h"

// The amount the screen has scrolled.
extern u8 xScroll;
extern u8 yScroll;

// The movement cursor.
extern Position moveIndicator;

// Scrolls the screen around the cursor based in the direction specified.
void scrollScreenCursor(u8 direction);

// Moves the screen and adjusts the scrolling values and cursor to the specified coordinates.
void moveScreen(u8 x, u8 y);

#endif