#ifndef TEXT_H
#define TEXT_H

#include <cpctelera.h>
#include "GameTypes.h"

#define CHARACTER_WIDTH 2
#define CHARACTER_HEIGHT 8
#define ASCII_TO_NUMBER_OFFSET 48

// Converts a 16 bit number to an equivalent string of characters for printing on screen.
void convertNumberToString(u16 input, u8 output[6]);

// Draws a string at a specified position on screen using the game font.
void drawString(u8 x, u8 y, const u8* string);

// Draws a character at the specified position, not this does not expect ASCII.
void drawCharacter(u8 x, u8 y, u8 character);

#endif